Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

have osx tiger, firefox 1.5. can i go to ff3.5 without going to leopard

  • 1 reply
  • 2 have this problem
  • 7 views
  • Last reply by James

more options

my imac runs osx tiger and firefox 1.5, which is no longer supported. can i download firefox 3.5 so i don't have to change to osx leopard. is firefox 3.5 supported and compatable with tiger?

All Replies (1)

more options

If you mean OSX 10.4.x then the most current you can use is actually Firefox 3.6.18 which can be found at http://www.mozilla.com/en-US/firefox/all-older.html


If your Mac was PPC and not a Intel then there was a second option for PPC users of OSX 10.4/10.5 at http://www.floodgap.com/software/tenfourfox/